### A free/open-source library for quantitative finance

Classes
ql/patterns/observable.hpp File Reference

observer/observable pattern More...

`#include <ql/errors.hpp>`
`#include <ql/types.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <set>`
Include dependency graph for observable.hpp:

## Classes

class | Observable
| Object that notifies its changes to a set of observers. More...
class | Observer
| Object that gets notified when a given observable changes. More...

## Detailed Description

observer/observable pattern